> For a complete page index, fetch https://developer.close.com/llms.txt # Merge two leads POST https://api.close.com/api/v1/lead/merge/ Content-Type: application/json For details and definitions of 'source' and 'destination', see the Merge Leads feature in the UI. Reference: https://developer.close.com/api/resources/leads/merge ## Authentication - `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty. - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Body (application/json) This endpoint expects an any. - `any` ## Response ### 200 Successful response ## Errors ### 400 Bad Request Error Bad request - `any` ### 401 Unauthorized Error Unauthorized - `any` ### 404 Not Found Error Not found - `any` ## Examples **Request** ```json { "destination": "lead_6ivpsIOFYDEwCUz8sdftdoWqlKpLSNOAg9glZSLvZEG", "source": "lead_JCTqyXSXD42eGO6PlWOe5ase8VRDCpE7ITYti8Th2Ei" } ``` **SDK Code** ```python import requests url = "https://api.close.com/api/v1/lead/merge/" payload = { "destination": "lead_6ivpsIOFYDEwCUz8sdftdoWqlKpLSNOAg9glZSLvZEG", "source": "lead_JCTqyXSXD42eGO6PlWOe5ase8VRDCpE7ITYti8Th2Ei" } headers = { "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers, auth=("", "")) print(response.json()) ``` ```javascript const url = 'https://api.close.com/api/v1/lead/merge/'; const credentials = btoa(":"); const options = { method: 'POST', headers: {Authorization: `Basic ${credentials}`, 'Content-Type': 'application/json'}, body: '{"destination":"lead_6ivpsIOFYDEwCUz8sdftdoWqlKpLSNOAg9glZSLvZEG","source":"lead_JCTqyXSXD42eGO6PlWOe5ase8VRDCpE7ITYti8Th2Ei"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.close.com/api/v1/lead/merge/" payload := strings.NewReader("{\n \"destination\": \"lead_6ivpsIOFYDEwCUz8sdftdoWqlKpLSNOAg9glZSLvZEG\",\n \"source\": \"lead_JCTqyXSXD42eGO6PlWOe5ase8VRDCpE7ITYti8Th2Ei\"\n}") req, _ := http.NewRequest("POST", url, payload) req.SetBasicAuth("", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.close.com/api/v1/lead/merge/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request.basic_auth("", "") request["Content-Type"] = 'application/json' request.body = "{\n \"destination\": \"lead_6ivpsIOFYDEwCUz8sdftdoWqlKpLSNOAg9glZSLvZEG\",\n \"source\": \"lead_JCTqyXSXD42eGO6PlWOe5ase8VRDCpE7ITYti8Th2Ei\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.close.com/api/v1/lead/merge/") .basicAuth("", "") .header("Content-Type", "application/json") .body("{\n \"destination\": \"lead_6ivpsIOFYDEwCUz8sdftdoWqlKpLSNOAg9glZSLvZEG\",\n \"source\": \"lead_JCTqyXSXD42eGO6PlWOe5ase8VRDCpE7ITYti8Th2Ei\"\n}") .asString(); ``` ```php request('POST', 'https://api.close.com/api/v1/lead/merge/', [ 'body' => '{ "destination": "lead_6ivpsIOFYDEwCUz8sdftdoWqlKpLSNOAg9glZSLvZEG", "source": "lead_JCTqyXSXD42eGO6PlWOe5ase8VRDCpE7ITYti8Th2Ei" }', 'headers' => [ 'Content-Type' => 'application/json', ], 'auth' => ['', ''], ]); echo $response->getBody(); ``` ```csharp using RestSharp; using RestSharp.Authenticators; var client = new RestClient("https://api.close.com/api/v1/lead/merge/"); client.Authenticator = new HttpBasicAuthenticator("", ""); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"destination\": \"lead_6ivpsIOFYDEwCUz8sdftdoWqlKpLSNOAg9glZSLvZEG\",\n \"source\": \"lead_JCTqyXSXD42eGO6PlWOe5ase8VRDCpE7ITYti8Th2Ei\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ```